# class ActiveLdap::Ldif::ChangeRecord

### Attributes

change_type[R]
controls[R]

### Public Class Methods

new(dn, attributes, controls, change_type) click to toggle source
Calls superclass method ActiveLdap::Ldif::Record.new

    # File lib/active_ldap/ldif.rb, line 675
    def initialize(dn, attributes, controls, change_type)
      super(dn, attributes)
      @controls = controls
      @change_type = change_type
    end

### Public Instance Methods

==(other) click to toggle source
Calls superclass method ActiveLdap::Ldif::Record#==

    # File lib/active_ldap/ldif.rb, line 701
    def ==(other)
      super(other) and
        @controls = other.controls and
        @change_type == other.change_type
    end

add?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 681
    def add?
      @change_type == "add"
    end

delete?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 685
    def delete?
      @change_type == "delete"
    end

modify?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 689
    def modify?
      @change_type == "modify"
    end

modify_dn?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 693
    def modify_dn?
      @change_type == "moddn"
    end

modify_rdn?() click to toggle source

    # File lib/active_ldap/ldif.rb, line 697
    def modify_rdn?
      @change_type == "modrdn"
    end

### Private Instance Methods

to_s_content() click to toggle source
Calls superclass method ActiveLdap::Ldif::Record#to_s_content

    # File lib/active_ldap/ldif.rb, line 716
    def to_s_content
      result = "changetype: #{@change_type}\n"
      result << super
      result
    end

to_s_prelude() click to toggle source
Calls superclass method ActiveLdap::Ldif::Record#to_s_prelude

    # File lib/active_ldap/ldif.rb, line 708
    def to_s_prelude
      result = super
      @controls.each do |control|
        result << control.to_s
      end
      result
    end